package main

import (
	"fmt"
	"log"
	"net/http"

	"github.com/tsawler/toolbox"
)

const webPort = "80"

type Config struct {
	Host       string
	Port       int
	UserName   string
	Password   string
	Encryption string
	Tools      toolbox.Tools
}

func main() {
	app := Config{
		Host: "localhost",
		Port: 1025,
	}

	log.Printf("Starting mail service on port %s\n", webPort)

	// define http server
	srv := &http.Server{
		Addr:    fmt.Sprintf(":%s", webPort),
		Handler: app.routes(),
	}

	err := srv.ListenAndServe()
	if err != nil {
		log.Panic(err)
	}
}
